//
//  DigitalOutputController.h
//  DigitalOutput
//
//  Created by Phidgets on 2015-07-14.
//  Copyright (c) 2015 Phidgets. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "PhidgetInfoBox.h"

@interface DigitalOutputController :  NSObject <NSWindowDelegate>
{
    IBOutlet NSWindow *mainWindow;
    PhidgetDigitalOutputHandle ch;
    //PhidgetInfoBox View
    IBOutlet PhidgetInfoBox *phidgetInfoBoxView;
    IBOutlet NSBox *phidgetInfoBox;
    //Device Settings
    IBOutlet NSBox *settingsBox;
    IBOutlet NSBox *settingsBoxLED;
    IBOutlet NSPopUpButton *forwardVoltageCombo;
    IBOutlet NSBox *dutyCycleBox;
    IBOutlet id dutyCycleSlider;
    IBOutlet NSTextField *dutyCycleLabel;
    NSTextField *minDutyCycleLabel;
    NSTextField *maxDutyCycleLabel;
    IBOutlet NSButton *stateButton;
    IBOutlet id currentLimitSlider;
    IBOutlet NSTextField *currentLimitLabel;
    IBOutlet NSTextField *currentLimitMinLabel;
    IBOutlet NSTextField *currentLimitMaxLabel;
    IBOutlet NSButton *outputStateButton;
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;
}

@end
